{
  "name": "{{ agave.appsPrefix }}-broad-vcf-to-fasta-gf2",
  "version": "0.3",
  "label": "Custom VCF to FASTA script from Broad",
  "defaultNodeCount": 1,
  "defaultMemoryPerNode": 1,
  "defaultProcessorsPerNode": 1,
  "executionType": "HPC",
  "parallelism": "SERIAL",
  "checkpointable": false,
  "executionSystem": "{{ agave.executionSystem }}",
  "deploymentPath": "{{ agave.appsDir }}/broad-vcf-to-fasta-gf2-0.3",
  "deploymentSystem": "{{ agave.deploymentSystem }}",
  "templatePath": "broad-vcf-to-fasta-gf2.sh",
  "testPath": "test/test.sh",
  "inputs": [
    { "id": "input",
      "value": {
        "required": true,
        "default": ""
      }
    }
  ],
  "parameters": [
    { "id": "max_amb_samples",
      "value": {
        "required": false,
        "default": 1000000,
        "type": "number"
      }
    },
    { "id": "max_perc_amb_samples",
      "value": {
        "required": false,
        "default": 0,
        "type": "number"
      }
    },
    { "id": "output",
      "value": {
        "required": true,
        "type": "string"
      }
    },
    { "id": "exec_method",
      "value": {
        "required": false,
        "default": "auto",
        "type": "string"
      }
    },
    { "id": "exec_init",
      "value": {
        "required": false,
        "default": ":",
        "type": "string"
      }
    }
  ]
}